<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net8.0-windows</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<UseWPF>true</UseWPF>
	</PropertyGroup>
	<PropertyGroup>
		<OutputPath>$(SolutionDir)Binary\Client</OutputPath>
		<AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
		<ManagePackageVersionsCentrally>true</ManagePackageVersionsCentrally>
	</PropertyGroup>
	<ItemGroup>
		<PackageReference Include="Mapster" />
		<PackageReference Include="Prism.DryIoc" />
		<PackageReference Include="CommunityToolkit.Mvvm" />
		<PackageReference Include="Hardcodet.NotifyIcon.Wpf" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Data\GeneralData\GeneralData.csproj" />
		<ProjectReference Include="..\Data_ViewModel\GlobalData\GlobalData.csproj" />
		<ProjectReference Include="..\Server\EEMSClientCore\EEMSClientCore.csproj" />
		<ProjectReference Include="..\Server\ServiceBase\ServiceBase.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Resource Include="Logo.ico" />
	</ItemGroup>
</Project>
